using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace mapeditor
{
    public class mapeditor
    {
        public static void Main()
        {
            //WALLACE
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Anchor"),
                                NameOverride = "Map-Block -MB",
                                DescriptionOverride = "The playground's bounding box, now at the palm of your hands!",
                                CategoryOverride = ModAPI.FindCategory("Misc."),
                                ThumbnailOverride = ModAPI.LoadSprite("mapvoidThumb.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mapvoid.png");
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

            //WALLACE
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Anchor"),
                                NameOverride = "Snow-Block -MB",
                                DescriptionOverride = "impenetrable snow.",
                                CategoryOverride = ModAPI.FindCategory("Misc."),
                                ThumbnailOverride = ModAPI.LoadSprite("mapsnowThumb.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mapsnow.png");
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
        }
    }
}